#!/bin/bash

# Master / slave directories
dbm=$DBDIR/rs0

function clean {
	killall -9 -w mongod
	sleep 2
	rm -rf $dbm
	mkdir -p $dbm
} 

function start {
	# Start the master
	LD_LIBRARY_PATH=$WT_INSTALL/lib:$LD_LIBRARY_PATH ./mongod \
	    --dbpath=$dbm --fork --logpath=$dbm/MDB.log
	sleep 2
}

function insert {
	(
	for t in $(seq 5); do
	    mongo --port 27017 --eval "
	        x = ''
	        for (var i=0; i<800; i++)
            	x += 'x'
        	docs = []
        	for (var i=0; i<1000; i++)
            	    docs.push({x:x})
	        ops = [{
	            op: 'insert',
	            ns: 'test.c' + '$t',
	            doc: docs,
	        }]
	        res = benchRun({
	            ops: ops,
	            seconds: 360,
	            parallel: 1
	        })
	    " &
	done
	wait
	)
}

clean; start
echo "==== Startup done. Run test ===="
insert
